Recherche structurée asynchrone
curl --request POST \
--url https://api.retriever.run/v1/go/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"output_schema": {},
"instructions": "<string>",
"max_steps": 30,
"model": "fast",
"stream": false
}
'import requests
url = "https://api.retriever.run/v1/go/runs"
payload = {
"query": "<string>",
"output_schema": {},
"instructions": "<string>",
"max_steps": 30,
"model": "fast",
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
output_schema: {},
instructions: '<string>',
max_steps: 30,
model: 'fast',
stream: false
})
};
fetch('https://api.retriever.run/v1/go/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"run_id": "go_run_9a8b7c1d2e3f4a5b",
"status": "running",
"poll_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "query is required",
"details": [
{
"path": [
"query"
],
"message": "query is required"
}
]
}
}{
"error": {
"code": "not_authenticated",
"message": "A valid API key is required."
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry later."
}
}Go
Recherche structurée asynchrone
POST
/
v1
/
go
/
runs
Recherche structurée asynchrone
Authorizations
Clé API ret_live_… créée dans Settings → API keys.
Body
application/json